function y = extrapolate(Y,n,p)

% y: sequence of approximations
% n: extrapolation sequence (z.B. n=1,2,3,4)
% p: consistency rate of initial value problem

% number of extrapolation steps
k = length(n)-1;

% the interpolation polynomial is
% p(t)=a(1)*t^(p+k-1) + a(2)*t^(p+k-2) + ... + a(k)*t^p + a(k+1) 

% first, construct a large Vandermonde-matrix
% then pick out the matrix for our polynomial interpolation
%  and compute the interpolation polynomial's coefficients
% then extrapolate (output p(t=0))
