function [t,y] = strang(psi1, psi2, psi3, y0, tspan, N)
% Single step method based on Strang splitting
% psi1, psi2 and psi3 must be function of type @(h,y)
% y0: initial value
% tspan: [0,T]
% N: number of timesteps
% t: meshpoints of timegrid
% y: solution at meshpoints of timegrid

t = [tspan(1)];
y = [y0];
h = (tspan(2)-tspan(1))/N;

% Now you should run a loop in which you compute y and set t